%%%---------------------------------------
%%% module      : data_flower
%%% description : 鲜花配置
%%%
%%%---------------------------------------
-module(data_flower).
-compile(export_all).
-include("flower.hrl").



get_flower_gift_cfg(102401) ->
    #flower_gift_cfg{goods_id = 102401,type = 0,intimacy = 1,charm = 1,fame = 1,need_lv = 0,need_vip = 0,is_sell = 1,is_tv = 0,effect_type = 2,effect = "ui_xxxy"};

get_flower_gift_cfg(102402) ->
    #flower_gift_cfg{goods_id = 102402,type = 0,intimacy = 5,charm = 5,fame = 5,need_lv = 0,need_vip = 0,is_sell = 1,is_tv = 1,effect_type = 2,effect = "ui_friendgift_xinxinxiangyin"};

get_flower_gift_cfg(102403) ->
    #flower_gift_cfg{goods_id = 102403,type = 0,intimacy = 20,charm = 20,fame = 20,need_lv = 0,need_vip = 0,is_sell = 1,is_tv = 1,effect_type = 2,effect = "ui_zqgb"};

get_flower_gift_cfg(102404) ->
    #flower_gift_cfg{goods_id = 102404,type = 0,intimacy = 68,charm = 68,fame = 68,need_lv = 0,need_vip = 0,is_sell = 1,is_tv = 1,effect_type = 3,effect = "ui_friendgift_happybirthday"};

get_flower_gift_cfg(102405) ->
    #flower_gift_cfg{goods_id = 102405,type = 0,intimacy = 220,charm = 220,fame = 220,need_lv = 0,need_vip = 0,is_sell = 1,is_tv = 1,effect_type = 3,effect = "ui_effect_songli_1"};

get_flower_gift_cfg(102406) ->
    #flower_gift_cfg{goods_id = 102406,type = 0,intimacy = 520,charm = 520,fame = 520,need_lv = 0,need_vip = 0,is_sell = 1,is_tv = 1,effect_type = 3,effect = "ui_effect_songli_2"};

get_flower_gift_cfg(102407) ->
    #flower_gift_cfg{goods_id = 102407,type = 0,intimacy = 888,charm = 888,fame = 888,need_lv = 0,need_vip = 0,is_sell = 1,is_tv = 0,effect_type = 3,effect = "uifx_giftlv8"};

get_flower_gift_cfg(102408) ->
    #flower_gift_cfg{goods_id = 102408,type = 0,intimacy = 4888,charm = 4888,fame = 4888,need_lv = 0,need_vip = 0,is_sell = 1,is_tv = 0,effect_type = 3,effect = "ui_effect_songli_3"};

get_flower_gift_cfg(102409) ->
    #flower_gift_cfg{goods_id = 102409,type = 1,intimacy = 520,charm = 520,fame = 520,need_lv = 0,need_vip = 0,is_sell = 1,is_tv = 0,effect_type = 3,effect = "ui_effect_songli_3"};

get_flower_gift_cfg(102410) ->
    #flower_gift_cfg{goods_id = 102410,type = 1,intimacy = 999,charm = 999,fame = 999,need_lv = 0,need_vip = 0,is_sell = 1,is_tv = 0,effect_type = 3,effect = "ui_effect_songli_3"};

get_flower_gift_cfg(_Goodsid) ->
    [].

get_flower_gift_cfg_ids() ->
    [102401,102402,102403,102404,102405,102406,102407,102408,102409,102410].

get_fame_lv_cfg(1) ->
    #fame_lv_cfg{lv = 1,color = 1,name = "默默无闻",fame = 0,attr = [{1,0},{2,0},{23,0}]};

get_fame_lv_cfg(2) ->
    #fame_lv_cfg{lv = 2,color = 1,name = "人情练达",fame = 888,attr = [{1,28},{2,560},{23,300}]};

get_fame_lv_cfg(3) ->
    #fame_lv_cfg{lv = 3,color = 1,name = "左右逢源",fame = 2888,attr = [{1,88},{2,1760},{23,400}]};

get_fame_lv_cfg(4) ->
    #fame_lv_cfg{lv = 4,color = 1,name = "屈尊敬贤",fame = 6888,attr = [{1,188},{2,3760},{23,500}]};

get_fame_lv_cfg(5) ->
    #fame_lv_cfg{lv = 5,color = 1,name = "八面玲珑",fame = 8888,attr = [{1,258},{2,5160},{23,600}]};

get_fame_lv_cfg(6) ->
    #fame_lv_cfg{lv = 6,color = 1,name = "高朋满座",fame = 12888,attr = [{1,368},{2,7360},{23,700}]};

get_fame_lv_cfg(7) ->
    #fame_lv_cfg{lv = 7,color = 1,name = "宾客盈门",fame = 58888,attr = [{1,1588},{2,31760},{23,800}]};

get_fame_lv_cfg(8) ->
    #fame_lv_cfg{lv = 8,color = 1,name = "家喻户晓",fame = 88888,attr = [{1,2288},{2,45760},{23,900}]};

get_fame_lv_cfg(9) ->
    #fame_lv_cfg{lv = 9,color = 1,name = "声名显赫",fame = 128888,attr = [{1,2888},{2,57760},{23,1000}]};

get_fame_lv_cfg(10) ->
    #fame_lv_cfg{lv = 10,color = 1,name = "大名鼎鼎",fame = 588888,attr = [{1,6888},{2,137760},{23,1100}]};

get_fame_lv_cfg(11) ->
    #fame_lv_cfg{lv = 11,color = 1,name = "名动四方",fame = 888888,attr = [{1,8888},{2,177760},{23,1200}]};

get_fame_lv_cfg(_Lv) ->
    [].

get_fame_lv_cfg_ids() ->
    [11,10,9,8,7,6,5,4,3,2,1].

get_egg_cfg(15) ->
    #flower_egg_cfg{egg_id = 15,egg_name = "一个鸡蛋",min_lv = 100,vip_lv = 0,limit_time = 0,cost = [{1,36010001,1}],charm_value = 1,effect = ""};

get_egg_cfg(16) ->
    #flower_egg_cfg{egg_id = 16,egg_name = "一筐鸡蛋",min_lv = 150,vip_lv = 4,limit_time = 30,cost = [{1,36010001,99}],charm_value = 100,effect = ""};

get_egg_cfg(_Eggid) ->
    [].

get_all_egg_id() ->
    [15,16].

get_sp_gift(102409) ->
    #base_flower_sp_gift{goods_id = 102409,my_back_reward = [{3,0,520},{2,0,30},{100,102004,10}],my_day = 1,friend_back_reward = [{3,0,520}],friend_day = 1,limit_count = 2};

get_sp_gift(102410) ->
    #base_flower_sp_gift{goods_id = 102410,my_back_reward = [{3,0,233},{100,102402,1},{100,102004,3}],my_day = 7,friend_back_reward = [{3,0,233}],friend_day = 7,limit_count = 2};

get_sp_gift(_Goodsid) ->
    [].

get_all_sp_gift() ->
    [102409,102410].

